Skip to main content

Workspace External User

View as Markdown

A user from your identity provider (IdP), identified by their ID in your IdP. This resource is read-only. Getting an external user syncs the user's details and group memberships from your IdP, and adds the user to your account if they aren't already there.

ExternalUser object​

A user from your identity provider (IdP), identified by their ID in your IdP. This resource is read-only. Getting an external user syncs the user's details and group memberships from your IdP, and adds the user to your account if they aren't already there.

namestringOutput onlyIDImmutable

The resource name of the external user, in one of these formats:

  • Account APIs: accounts/{account_id}/external-users/{external_user_id}
  • Workspace APIs: external-users/{external_user_id}
external_user_idstringOutput only

The ID of the user in your IdP.

internal_idstringOutput only

The Databricks ID of the user. Use it as the user_id in the user APIs.

usernamestringOutput only

The user's username, which is their email address.

full_nameobjectOutput only

The user's name, from your IdP.

Show child attributesHide child attributes
given_namestringOutput only

The user's given (first) name.

family_namestringOutput only

The user's family (last) name.

account_user_statusstringOutput only

Whether the user is active in the account.

Values:

  • ACTIVE
  • INACTIVE
account_idstringOutput only

The ID of the account that contains the user.

display_namestringOutput only

The user's given and family names from your IdP, separated by a space.

Get an external user in the account GA​

GET /api/2.0/identity/{name=external-users/*}

Gets a user by their ID in your identity provider (IdP) and syncs their details and group memberships from your IdP. If the user isn't in the account that contains this workspace yet, they're added. Requires automatic identity management.

API scopes: identity

Parameters​

namestringRequiredpath

The resource name of the external user, in the format external-users/{external_user_id}.

Response​

Returns the ExternalUser object.